summary.fixest.fixef {fixest} | R Documentation

## Summary method for cluster coefficients

### Description

This function summarizes the main characteristics of the cluster coefficients. It shows the number of fixed-effects that have been set as references and the first elements of the fixed-effects.

### Usage

    ## S3 method for class 'fixest.fixef'
    summary(object, n = 5, ...)

### Arguments

`object` | An object returned by the function `fixef.fixest`.
`n` | Positive integer, defaults to 5. The `n` first fixed-effects for each cluster are reported.
`...` | Not currently used.

### Value

It prints the number of fixed-effect coefficients per cluster, as well as the number of fixed-effects used as references for each cluster, and the mean and variance of the cluster coefficients. Finally it reports the first 5 elements of each cluster.

### Author(s)

Laurent Berge

### See Also

`femlm`, `fixef.fixest`, `plot.fixest.fixef`.

### Examples

    data(trade)

    # We estimate the effect of distance on trade
    # => we account for 3 fixed-effects effects
    est_pois = femlm(Euros ~ log(dist_km)|Origin+Destination+Product, trade)

    # obtaining the fixed-effects coefficients
    fe_trade = fixef(est_pois)

    # printing some summary information on the cluster coefficients:
    summary(fe_trade)

[Package fixest version 0.1.0 Index]